1. OnRamp
CryptopocketAPI
  • Common
    • Authentication
      POST
    • Token Price
      GET
    • Get Available Assets
      GET
  • Users
    • List customers
      GET
    • Create customer
      POST
    • Create customer with delegated KYC
      POST
    • Create company customer
      POST
    • Retrieve KYC/KYB verification status
      GET
    • Create enhanced verification link
      POST
    • Upload Customer Document
      POST
    • Find User
      GET
    • Generate a new KYC URL for a user
      POST
  • OnRamp
    • List payment methods
      GET
    • Get Quote
      GET
    • Create Payment Intend
      POST
    • Create guided payment intent
      POST
    • Retrieve payment
      GET
    • List on-ramp transactions
      GET
  • OffRamp
    • Get quote
      GET
    • Create OffRamp Transaction
      POST
    • Retrieve off-ramp transaction status
      GET
    • List off-ramp transactions
      GET
  • Bank Accounts
    • List bank accounts
      GET
    • Get bank account balance
      GET
    • List account transactions
      GET
    • Get transaction
      GET
    • Create outbound bank transfer
      POST
    • Reconcile payment with bank transaction
      POST
  • Webhooks
    • Available webhooks
    • Webhook Event Subscribe
    • Webhook Event Update
  • Docs
    • Sandbox Environment Instructions
    • CryptoPocket Integration Guide — Buy Flow (On-Ramp)
  • Raíz
  • Schemas
    • FindUserSuccess
    • ReconcilePaymentRequest
    • GenerateKycRequest
    • CreateBankingTransferRequest
    • BankingAccountBalanceSuccessResponse
    • BankingAccountTransactionSuccessResponse
    • IntegrationError
    • BankAccount
    • ReconcilePaymentSuccessResponse
    • GenerateKycSuccessResponse
    • CreateBankingTransferSuccessResponse
    • BankingAccountBalanceData
    • BankingAccountTransactionData
    • BankAccountsListResponse
    • ErrorResponse
    • BankingTransferData
    • BankAccountTransaction
    • Pagination
    • BankProviderErrorResponse
    • BankAccountTransactionsResponse
  1. OnRamp

Get Quote

Entorno sandbox
https://sandbox.cryptopocket.io/api
Entorno sandbox
https://sandbox.cryptopocket.io/api
GET
/quote
Returns the amount of tokens for a given fiat amount.
Query Parameters:
amount (required): The amount in euros that the user wishes to convert to tokens.
payment_type (required): The type of payment the user intends to use.Allowed values: card | psd2 | transfer
symbol (required): The token symbol to which the user wants to convert the amount (USDT).
chain(required): The blockchain in which the desired token exists. Ex: polygon,bsc,ethereum
RESPONSE EXAMPLE:
{
    "status": "ok",
    "data": {
        "tokens": 5111.9919,
        "quote_id": "eb044428-b820-49c6-a42d-35fb470989cd",
        "expires_at": "2026-08-13T13:45:25+00:00"
    }
}

Solicitud

Parámetros de consulta

Respuestas

🟢200
application/json
Bodyapplication/json

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location 'https://sandbox.cryptopocket.io/api/quote?amount=100&symbol=cpc&payment_type=psd2&chain=polygon'
Respuesta Ejemplo de Respuesta
{}
Modificado en 2026-08-13 13:40:58
Anterior
List payment methods
Siguiente
Create Payment Intend
Built with